Get the profile of an actor
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.actor
Get the profile of an actor
GET
/
app.rocksky.actor.getProfile
Get the profile of an actor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The DID or handle of the actor
Response
OK
The unique identifier of the actor.
The DID of the actor.
The handle of the actor.
The display name of the actor.
The URL of the actor's avatar image.
The date and time when the actor was created.
The date and time when the actor was last updated.
⌘I